org.eclipse.rdf4j.federated.endpoint.provider

## Class RemoteRepositoryRepositoryInformation

- java.lang.Object
- - org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation
  - - org.eclipse.rdf4j.federated.endpoint.provider.RemoteRepositoryRepositoryInformation

-     public class RemoteRepositoryRepositoryInformation
      extends RepositoryInformation

  Class holding information for RDF4J `HTTPRepository` initialization.

  Format:

       <%name%> a sd:Service ;
              fedx:store "RemoteRepository" ;
              fedx:repositoryServer "%location%" ;
              fedx:repositoryName "%name%" .

        a sd:Service ;
              fedx:store "RemoteRepository";
              fedx:repositoryServer "http:///openrdf-sesame" ;
              fedx:repositoryName "dbpedia" .

  Note: the id is constructed from the name: http://dbpedia.org/ => remote_dbpedia.org

  Author:
    Andreas Schwarte

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation

      `props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteRepositoryRepositoryInformation(Model graph, Resource repNode)`
    `RemoteRepositoryRepositoryInformation(String repositoryServer, String repositoryName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initialize(Model graph, Resource repNode)`

    - ### Methods inherited from class org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation

      `get, get, getEndpointConfiguration, getId, getLocation, getName, getType, isWritable, setEndpointConfiguration, setProperty, setType, setWritable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteRepositoryRepositoryInformation

          public RemoteRepositoryRepositoryInformation(Model graph,
                                                       Resource repNode)

    - #### RemoteRepositoryRepositoryInformation

          public RemoteRepositoryRepositoryInformation(String repositoryServer,
                                                       String repositoryName)

  - ### Method Detail

    - #### initialize

          protected void initialize(Model graph,
                                    Resource repNode)

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.